// +build !ignore_autogenerated

// Code generated by deepcopy-gen. DO NOT EDIT.

package v1alpha1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *TerraformModule) DeepCopyInto(out *TerraformModule) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	in.Status.DeepCopyInto(&out.Status)
	return
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new TerraformModule.
func (in *TerraformModule) DeepCopy() *TerraformModule {
	if in == nil {
		return nil
	}
	out := new(TerraformModule)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *TerraformModule) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *TerraformModuleList) DeepCopyInto(out *TerraformModuleList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]TerraformModule, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
	return
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new TerraformModuleList.
func (in *TerraformModuleList) DeepCopy() *TerraformModuleList {
	if in == nil {
		return nil
	}
	out := new(TerraformModuleList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *TerraformModuleList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *TerraformModuleSpec) DeepCopyInto(out *TerraformModuleSpec) {
	*out = *in
	in.Module.DeepCopyInto(&out.Module)
	if in.Env != nil {
		in, out := &in.Env, &out.Env
		*out = make(map[string]string, len(*in))
		for key, val := range *in {
			(*out)[key] = val
		}
	}
	return
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new TerraformModuleSpec.
func (in *TerraformModuleSpec) DeepCopy() *TerraformModuleSpec {
	if in == nil {
		return nil
	}
	out := new(TerraformModuleSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *TerraformModuleStatus) DeepCopyInto(out *TerraformModuleStatus) {
	*out = *in
	in.Outputs.DeepCopyInto(&out.Outputs)
	return
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new TerraformModuleStatus.
func (in *TerraformModuleStatus) DeepCopy() *TerraformModuleStatus {
	if in == nil {
		return nil
	}
	out := new(TerraformModuleStatus)
	in.DeepCopyInto(out)
	return out
}
